Uploaded image for project: 'Tools (JBoss Tools)'
  1. Tools (JBoss Tools)
  2. JBIDE-15647

Compile errors when building arquillian with Luna target platform

    Details

      Description

      When building the arquillian component with Luna TP(tpc.version=4.40.0.Alpha1-SNAPSHOT) there are the following compile errors:

      [ERROR] import org.eclipse.osgi.framework.adaptor.BundleClassLoader;
      [ERROR] ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      [ERROR] The import org.eclipse.osgi.framework.adaptor cannot be resolved
      [ERROR] 
      ...
      [ERROR] || tmp instanceof BundleClassLoader)
      [ERROR] ^^^^^^^^^^^^^^^^^
      [ERROR] BundleClassLoader cannot be resolved to a type
      

      The errors are caused by the change of OSGi internals.
      The org.eclipse.osgi.framework.adaptor package and the BundleClassloader class have been removed from Luna.

      The changes aren't compatible with the previous Eclipse versions, so we need a separate branch for Luna.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  snjeza Snjezana Peco
                  Reporter:
                  snjeza Snjezana Peco
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  3 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: